Bug 1197998 - Building with rhel* images fails
Summary: Building with rhel* images fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Minar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 07:40 UTC by Jan Pazdziora
Modified: 2019-03-06 00:35 UTC (History)
5 users (show)

Fixed In Version: docker-1.5.0-11.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-07 21:57:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Pazdziora 2015-03-03 07:40:28 UTC
Description of problem:

When building images that use FROM rhel6 or FROM rhel7, docker build . now fails.

Version-Release number of selected component (if applicable):

docker-1.5.0-10.el7.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. echo FROM rhel7 > Dockerfile
2. docker build . > docker-build.log ; cat docker-build.log

Actual results:

time="2015-03-03T02:35:07-05:00" level="info" msg="Official registry redirects to unofficial for repository \"docker.io/rhel7\", please specify it as: registry.access.redhat.com/rhel7" 
Sending build context to Docker daemon 5.615 MB
Sending build context to Docker daemon 
Step 0 : FROM rhel7
Pulling repository docker.io/rhel7

Expected results:

Successful build.

Additional info:

It is possible to do docker pull rhel7:

# docker pull rhel7 > docker-pull.log
# cat docker-pull.log
Pulling repository registry.access.redhat.com/rhel7
bef54b8f8a2f: Pulling image (latest) from registry.access.redhat.com/rhel7
bef54b8f8a2f: Pulling image (latest) from registry.access.redhat.com/rhel7, endpoint: https://registry.access.redhat.com/v1/
bef54b8f8a2f: Pulling dependent layers
bef54b8f8a2f: Pulling metadata
bef54b8f8a2f: Pulling fs layer
bef54b8f8a2f: Download complete
bef54b8f8a2f: Download complete
Status: Downloaded newer image for registry.access.redhat.com/rhel7:latest
# 

Then even the docker build starts to pass.

Comment 1 Jan Pazdziora 2015-03-03 07:41:05 UTC
This is a regression against behaviour that I saw with docker-1.4.*.

Comment 5 Michal Minar 2015-03-03 11:20:51 UTC
PR: https://github.com/rhatdan/docker/pull/15

Comment 6 Daniel Walsh 2015-03-03 13:41:11 UTC
Fixed in docker-1.5.0-11.el7


Note You need to log in before you can comment on or make changes to this bug.